javax.swing.event

## Class MenuEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.MenuEvent

- All Implemented Interfaces:
    Serializable

      public class MenuEvent
      extends EventObject

  MenuEvent is used to notify interested parties that the menu which is the event source has been posted, selected, or canceled.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuEvent(Object source)` Constructs a MenuEvent object.

  - ### Method Summary

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuEvent

          public MenuEvent(Object source)

      Constructs a MenuEvent object.
      Parameters:
        `source` - the Object that originated the event (typically `this`)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.